Gradle, Java? HILFE!
#1
0
Meine Freundin und ich sind gerade dabei unseren Minecraft Server upzudaten. Bei der Suche nach entsprechenden Versionen der Mods, die für die angestrebte Serverversion passen, stieß ich scheinbar auf Dateien, die man wohl erst ins Java (.jar) bringen muss.
Ich habe absolut keine Ahnung von sowas. Hab zwar herausgefunden, dass man scheinbar Gradle benötigt (https://gradle.org/), aber das sind alles bömische Wälder für mich. Die englischen Tutorials habe ich mit keinem Satz verstanden  Sad  

Explizit geht es um die Minecraft Mod "ExtrabiomesXL" (https://github.com/ExtrabiomesXL/EBXL)
Das habe ich heruntergeladen und weiß nicht, wie ich damit jetzt umgehen soll.
Kann mir jemand dabei helfen? Smile
Zitieren
#2
0
Ich hatte mal ein Tool für Stalker SOC in Java erstellt (War ne Schul sache). Ich benutzte dafür Eclipse (Luna) IDE zum Kompilieren von Java Dateien/ Wiki.
Programmierer sind gefährliche Waffen. Deshalb ist es Ihnen Gesetzlich verboten sich frei zubewegen (GitS)

Teufel Amiga: The Computer They Couldn't kill Teufel
Zitieren
#3
0
Das war ein hervorragender Tipp, Amiga! Mit Eclipse konnte ich es zumindest schon mal schaffen, dass er anfängt die Gradle Tasks zu starten (build). Jedoch erfolgt ein Abbruch

Code:
Cannot Query Eclipse model
Cannot Query Eclipse model
Project configurator 'org.eclipse.buildship.configurators.base' failed to configure project 'EBXL-master'
Project configurator 'org.eclipse.buildship.configurators.wtp' failed to configure project 'EBXL-master'

Das stand unter dem Task "compileJava". Dabei bin ich penibel genau einem Tutorial gefolgt und habe im Marketplace das buildship installiert bzw. aktualisiert.
Wie komme ich dem nun auf die Spur?  Confused

EDIT: Verdammt, ich habs geschafft! Die Lösung war, dass ich manuell das buildship 2.x für Eclipse installiert habe. Damit war o.g. Fehler behoben, stieß aber auf einen neuen. Dieser sagte aus, ich solle mich vergewissern, dass ich das richtige JDK installiert habe. JRE 8 habe ich installiert, jedoch war das JDK Version 12. Also habe ich das JDK 8 installiert und voila!

VIELEN DANK Amiga, für den tollen Tipp Eclipse zu nutzen!  Elefant Wieder was gelernt, falls ich sowas nochmal machen muss Smile
Zitieren
#4
0
Kein Problem ist mein Job *Finger anpuste*. Big Grin. Ne im Ernst. Klasse das es funktioniert hat.Smile
Programmierer sind gefährliche Waffen. Deshalb ist es Ihnen Gesetzlich verboten sich frei zubewegen (GitS)

Teufel Amiga: The Computer They Couldn't kill Teufel
Zitieren


Gehe zu:


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste